Attean::API::Parser(3pm)

NAME
Attean::API::Parser - Parser role

VERSION
This document describes Attean::API::Parser version 0.012

DESCRIPTION
The Attean::API::Parser role defines a common API for all parsers of typed objects from data (either a byte string or a filehandle).

ATTRIBUTES
The following attributes exist:

"handler"
    A code reference that will be called during callback-variant parsing methods. This attribute has a default (no-op function), so specifying it is not necessary if using iterator- or list-variant parsing methods.

REQUIRED METHODS
The following methods are required by the Attean::API::Parser role:

"canonical_media_type"
    Returns the canonical media type string for the format of this parser.

"media_types"
    Returns an ARRAY reference of media type strings that are acceptable as input to this parser.

"handled_type"
    Returns a Type::Tiny object representing the type of items that result from parsing.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/attean/issues>.

SEE ALSO
<http://www.perlrdf.org/>

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2016 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.